Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class ResourceRequestEnvironment.ResourceRequest

    java.lang.Object
      org.jboss.seam.mock.ResourceRequestEnvironment.ResourceRequest

Enclosing class:
  ResourceRequestEnvironment

    public static class ResourceRequestEnvironment.ResourceRequest

extends Object

Constructor Summary
`ResourceRequestEnvironment.ResourceRequest(ResourceRequestEnvironment environment, ResourceRequestEnvironment.Method httpMethod, String requestPath)`

Method Summary
`protected EnhancedMockHttpServletRequest` | `createRequest()`
`protected EnhancedMockHttpServletResponse` | `createResponse()`
`protected List<javax.servlet.http.Cookie>` | `getCookies()`
`protected String` | `getPrincipalName()`
`protected Set<String>` | `getPrincipalRoles()`
`javax.servlet.http.HttpServletRequest` | `getRequest()`
`protected Map<String,String>` | `getRequestQueryParameters()`
`EnhancedMockHttpServletResponse` | `getResponse()`
`protected void` | `init()`
`protected void` | `onResponse(EnhancedMockHttpServletResponse response)`
`protected void` | `prepareRequest(EnhancedMockHttpServletRequest request)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceRequestEnvironment.ResourceRequest

    public ResourceRequestEnvironment.ResourceRequest(ResourceRequestEnvironment environment,
                                                      ResourceRequestEnvironment.Method httpMethod,
                                                      String requestPath)

Method Detail

### run

    public void run()
             throws Exception

  Throws:
    `Exception`

### init

    protected void init()

### createRequest

    protected EnhancedMockHttpServletRequest createRequest()

### createResponse

    protected EnhancedMockHttpServletResponse createResponse()

### getRequestQueryParameters

    protected Map<String,String> getRequestQueryParameters()

### getCookies

    protected List<javax.servlet.http.Cookie> getCookies()

### getPrincipalName

    protected String getPrincipalName()

### getPrincipalRoles

    protected Set<String> getPrincipalRoles()

### prepareRequest

    protected void prepareRequest(EnhancedMockHttpServletRequest request)

### onResponse

    protected void onResponse(EnhancedMockHttpServletResponse response)

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

### getResponse

    public EnhancedMockHttpServletResponse getResponse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.